FacetsCollectorManager.FacetsResult (Lucene 10.5.1 facet API)
Description: declaration: package: org.apache.lucene.facet, class: FacetsCollectorManager, record: FacetsResult

Package org.apache.lucene.facet

# Record Class FacetsCollectorManager.FacetsResult

java.lang.Object
java.lang.Record
org.apache.lucene.facet.FacetsCollectorManager.FacetsResult

Record Components:
  `topDocs` - the top docs
  `facetsCollector` - the facets result included in a `FacetsCollector` instance

Enclosing class:
  `FacetsCollectorManager`

public static record FacetsCollectorManager.FacetsResult(TopDocs topDocs, FacetsCollector facetsCollector) extends Record
Holds results of a search run via static utility methods exposed by this class. Those include `TopDocs` as well as facets result included in the returned `FacetsCollector`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FacetsResult(TopDocs topDocs, FacetsCollector facetsCollector)`
  Creates an instance of a `FacetsResult` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `FacetsCollector`
  `facetsCollector()`
  Returns the value of the `facetsCollector` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `TopDocs`
  `topDocs()`
  Returns the value of the `topDocs` record component.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FacetsResult

    public FacetsResult(TopDocs topDocs, FacetsCollector facetsCollector)
    Creates an instance of a `FacetsResult` record class.
    Parameters:
      `topDocs` - the value for the `topDocs` record component
      `facetsCollector` - the value for the `facetsCollector` record component

- ## Method Details

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### topDocs

    public TopDocs topDocs()
    Returns the value of the `topDocs` record component.
    Returns:
      the value of the `topDocs` record component

  - ### facetsCollector

    public FacetsCollector facetsCollector()
    Returns the value of the `facetsCollector` record component.
    Returns:
      the value of the `facetsCollector` record component